<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JaDOrT: JASMINe Deployment Orchestration Tool
  - Copyright (C) 2008-2009 Bull S.A.S.
  - Copyright (C) 2008-2009 France Telecom R&D
  - Contact: jasmine@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  - USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id: web.xml 3060 2009-02-03 14:18:11Z alitokmen $
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<web-app
	id="MyStore"
	version="2.4"
	xmlns="http://java.sun.com/xml/ns/j2ee"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">

	<display-name>MyStore</display-name>

	<servlet>
		<display-name>CartServlet</display-name>
		<servlet-name>CartServlet</servlet-name>
		<servlet-class>
			org.ow2.jasmine.jadort.samples.CartServlet
		</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>CartServlet</servlet-name>
		<url-pattern>/CartServlet</url-pattern>
	</servlet-mapping>

	<filter>
		<filter-name>OnlyAllowUsersWithSessionFilter</filter-name>
		<filter-class>
			org.ow2.jasmine.jadort.filters.OnlyAllowUsersWithSessionFilter
		</filter-class>
	</filter>
	<filter-mapping>
		<filter-name>OnlyAllowUsersWithSessionFilter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>

	<welcome-file-list>
		<welcome-file>CartServlet</welcome-file>
	</welcome-file-list>

	<ejb-ref>
		<ejb-ref-name>ejb/MyStoreBean</ejb-ref-name>
		<ejb-ref-type>Session</ejb-ref-type>
		<home>org.ow2.jasmine.jadort.samples.MyStoreHome</home>
		<remote>org.ow2.jasmine.jadort.samples.MyStore</remote>
	</ejb-ref>

</web-app>
